<?php

function plugin_version_protocolsmanager() {
	return array('name'           => "Protocols manager",
                'version'        => '1.5.2.2',
                'author'         => 'Mateusz Nitka',
                'license'        => 'GPLv3+',
                'homepage'       => 'https://github.com/mateusznitka/protocolsmanager',
                'minGlpiVersion' => '10.0');
}

function plugin_protocolsmanager_check_config() {
    return true;
}
 

function plugin_protocolsmanager_check_prerequisites() { 
		if (GLPI_VERSION>=10.0){
                return true;
        } else {
                echo "GLPI version NOT compatible. Requires GLPI 10.0";
        }
}

function plugin_init_protocolsmanager() {
	global $PLUGIN_HOOKS;

	$PLUGIN_HOOKS['csrf_compliant']['protocolsmanager'] = true;
	
	$PLUGIN_HOOKS['config_page']['protocolsmanager'] = 'front/config.form.php';
   
	Plugin::registerClass('PluginProtocolsmanagerGenerate', array('addtabon' => array('User')));
	
	Plugin::registerClass('PluginProtocolsmanagerProfile', array('addtabon' => array('Profile')));
	
	Plugin::registerClass('PluginProtocolsmanagerConfig', array('addtabon' => array('Config')));
	
	$PLUGIN_HOOKS['add_css']['protocolsmanager'] = 'css/styles.css';
	
        // add entry to configuration menu
        $PLUGIN_HOOKS["menu_toadd"]['protocolsmanager'] = 
        ['config' => 'PluginProtocolsmanagerMenu'];

        // Plugin::registerClass(
        //         'PluginProtocolsmanagerMenu', [
        //            'addtabon' => [
        //               'config'
        //            ]
        //         ]
        //      );

        // Config page
        if (Session::haveRight('config', READ)) {
                $PLUGIN_HOOKS['config_page']['protocolsmanager'] = 'front/config.form.php';
        }

        // add tabs to itemtypes
        //  Plugin::registerClass('PluginProtocolsmanagerContainer', ['addtabon' => array_unique(PluginProtocolsmanagerContainer::getEntries())]);

        // $PLUGIN_HOOKS["menu_toadd"]['protocolsmanager'] = ['config' => 'PluginProtocolsmanagerContainer'];
}

?>
